# 3.6. Command-line options

When Konsole is started from the command-line, various options can be specified to modify it's behaviour

`--help`

  lists the various options

`--name`

  Set the name that appears in the titlebar

`--ls`

  Start a login shell

`--nowelcome`

  Suppress the "Welcome to Konsole" message that normally appears in the titlebar

`--nohist`

  Disables the saving of lines that scroll off the top of the window

`--vt_sz `CCxLL``

  Starts a terminal window of CC Columns and LL lines

`-e `<command>``

  Execute <command> instead of shell

For instance:

     bash$ konsole --vt_sz 90x25 --nohist

starts a Konsole window with 90 columns and 25 rows, with no history

Konsole also accepts generic QT and KDE options:

`--author`

  Shows the author(s) names

`--V`

  Shows the version number

`--help-qt`

  lists Qt-specific options

`--help-kde`

  lists KDE-specific options

`--help-all`

  lists all options